net.officefloor.plugin.web.http.tokenise
Class HttpRequestTokeniseException

java.lang.Object
  extended by java.lang.Throwable
      extended by java.lang.Exception
          extended by java.io.IOException
              extended by net.officefloor.plugin.web.http.parameters.HttpParametersException
                  extended by net.officefloor.plugin.web.http.tokenise.HttpRequestTokeniseException
All Implemented Interfaces:
Serializable

public class HttpRequestTokeniseException
extends HttpParametersException

Indicates a failure tokenising the HttpRequest parameters.

Author:
Daniel Sagenschneider
See Also:
Serialized Form

Constructor Summary
HttpRequestTokeniseException(String reason)
          Initiate.
HttpRequestTokeniseException(Throwable cause)
          Initiate.
 
Method Summary
 
Methods inherited from class java.lang.Throwable
fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait
 

Constructor Detail

HttpRequestTokeniseException

public HttpRequestTokeniseException(String reason)
Initiate.

Parameters:
reason - Reason.

HttpRequestTokeniseException

public HttpRequestTokeniseException(Throwable cause)
Initiate.

Parameters:
cause - Cause.


Copyright © 2005-2013. All Rights Reserved.